+ Reply to Thread
Results 1 to 5 of 5
  1. #1
    Full Member
    Computer Details
    keiths's Computer Details
    Operating System:
    Win 7
    Computer:
    Dell Laptop E6530
    Discipline
    Construction
    keiths's Discipline Details
    Occupation
    TM Co-ordinator
    Discipline
    Construction
    Using
    AutoCAD 2013
    Join Date
    May 2013
    Location
    Christchurch, NZ
    Posts
    53

    Default Lisp routine to create chevron markings

    Registered forum members do not see this ad.

    Hi,


    Where can i find a lisp routine to create chevrons as used on gores or median islands.

  2. #2
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,447

    Default

    I think CadTools has a chevron feature.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  3. #3
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    Have a play with this not really finished but.

    Code:
    ; chevron island creater
    ; this use the extrim command to trim shape
    ; By Alan H Jan 2012
    (defun C:Chevron ( / obj pt1 pt2 pt3 pt4 newpt1 newpt2 )
    (acet-error-init (list
                       (list   "cmdecho" 0
                             "highlight" 0
                             "regenmode" 1
                                "osmode" 0
                               "ucsicon" 0
                            "offsetdist" 0
                                "attreq" 0
                              "plinewid" 0
                             "plinetype" 1
                              "gridmode" 0
                               "celtype" "CONTINUOUS"
                             "ucsfollow" 0
                              "limcheck" 0
                       )
                       T     ;flag. True means use undo for error clean up.
                       '(if redraw_it (redraw na 4))
                      );list
    );acet-error-init
    (setq obj (car (entsel "\nPick pline or circle")))
    ; should do a object test here
    (setq whatis (cdr (assoc 0 (entget obj))))
    (if (= whatis "LWPOLYLINE")
    (princ)
    (progn
    (princ "\You have picked something other than a polyline ")
    (princ "\Remake into a pline and do again ")
    (setq dummy (getstring "\press any key"))
    (exit)
    ) ; progn
    ) ; if
    (setq pt1 (Getpoint "\nPick Line start point"))
    (setq pt2 (Getpoint pt1 "\nPick end point"))
    (command "line" pt1 pt2 "")
    (setq gap1 (getreal "\nenter spacing 1"))
    (setq gap2 (getreal "\nenter spacing 2"))
    (setq pt3 (getpoint "\nPick 1st cross point"))
    (setq pt4 (getpoint pt3 "\nPick 2nd cross point"))
    (setq dist (distance pt3 pt4))
    (setq x (fix (/ dist (+ gap1 gap2))))
    (setq newpt1 (strcat (rtos gap1 2 2) ",0.0"))
    (setq newpt2 (strcat (rtos gap2 2 2) ",0.0"))
    (repeat x 
    (command "copy" "L" "" "0,0" newpt1)
    (command "copy" "L" "" "0,0" newpt2)
    )
    (load "Extrim")
    (etrim obj pt1)
    (acet-error-restore)
    ) ; end defun
     
    (princ)
    Attached Images
    A man who never made mistakes never made anything

  4. #4
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    Readable version below, Maunsell is a very large engineering company obviously in Adelaide Australia. Not sure if it was to be released to the public.

    Code:
    ; removed as I dont want to be sued by Maunsell's
    A man who never made mistakes never made anything

  5. #5
    Full Member
    Using
    AutoCAD 2013
    Join Date
    Oct 2014
    Posts
    63

    Default

    Registered forum members do not see this ad.

    Thank you for your reply and changed to Readable version bigal sir.
    But actually​ I don't about Maunsell now I understood.

Similar Threads

  1. Help me create LISP routine to remove duplicates!
    By ktbjx in forum AutoLISP, Visual LISP & DCL
    Replies: 3
    Last Post: 16th Aug 2016, 01:09 pm
  2. Highway design and road markings
    By deanby7 in forum AutoLISP, Visual LISP & DCL
    Replies: 1
    Last Post: 10th May 2015, 11:14 am
  3. Road Markings
    By MarkCalvert in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 8th Jan 2008, 10:35 pm
  4. Road Markings to Scale in Paperspace
    By Primal Scientist in forum AutoCAD Drawing Management & Output
    Replies: 11
    Last Post: 30th Nov 2007, 09:11 am
  5. Can Anyone Create A LISP Routine For this???
    By raj banerjee in forum AutoLISP, Visual LISP & DCL
    Replies: 15
    Last Post: 12th Sep 2007, 06:26 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts